Attribute VB_Name = "modShowInTaskbar"
Option Explicit
 
' alle bentigten Deklarationen
Private Declare Function GetWindowLong Lib "user32" _
  Alias "GetWindowLongA" ( _
  ByVal hWnd As Long, _
  ByVal nIndex As Long) As Long
 
Private Declare Function SetWindowLong Lib "user32" _
  Alias "SetWindowLongA" ( _
  ByVal hWnd As Long, _
  ByVal nIndex As Long, _
  ByVal dwNewLong As Long) As Long
 
Private Declare Function ShowWindow Lib "user32" ( _
  ByVal hWnd As Long, _
  ByVal nCmdShow As Long) As Long
 
Private Declare Function GetDesktopWindow Lib "user32" () As Long
 
Private Declare Function LockWindowUpdate Lib "user32" ( _
  ByVal hwndLock As Long) As Long

Public Declare Sub SetWindowPos Lib "user32" (ByVal hWnd As Long, ByVal hWndInsertAfter As Long, ByVal x As Long, ByVal y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long)

Private Const SW_HIDE = 0
Private Const SW_SHOW = 5
Private Const GWL_EXSTYLE = (-20)
 
Private Const WS_EX_APPWINDOW = &H40000

' Fenster in der Taskbar anzeigen ein/aus
Public Sub FormInTaskbar(lhwnd As Long, _
  ByVal ShowInTaskBar As Boolean)
 
  Dim lStyle As Long
  Dim lResult As Long
 
  ' Flackern verhindern
  LockWindowUpdate GetDesktopWindow
 
  ' Form ausblenden
  lResult = ShowWindow(lhwnd, SW_HIDE)
 
  ' Window Style festlegen
  lStyle = GetWindowLong(lhwnd, GWL_EXSTYLE)
  If ShowInTaskBar = True Then
    lStyle = lStyle Or WS_EX_APPWINDOW
  Else
    lStyle = lStyle And Not WS_EX_APPWINDOW
  End If
 
  ' Neues Window Syle setzen
  SetWindowLong lhwnd, GWL_EXSTYLE, lStyle
 
  ' Form einblenden
  lResult = ShowWindow(lhwnd, SW_SHOW)
 
  LockWindowUpdate 0&
End Sub





'
'Private Sub Command1_Click()
'  ' In Taskbar anzeigen
'  FormInTaskbar Me.hwnd, True
'  Command1.Enabled = False
'  Command2.Enabled = True
'End Sub
'
'Private Sub Command2_Click()
'  ' In Taskbar ausblenden
'  FormInTaskbar Me.hwnd, False
'  Command1.Enabled = True
'  Command2.Enabled = False
'End Sub



